Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface MessageDrivenBean

All Superinterfaces:
  EnterpriseBean, java.io.Serializable

public interface MessageDrivenBean
extends EnterpriseBean

The MessageDrivenBean interface is implemented by every message-driven enterprise Bean class. The container uses the MessageDrivenBean methods to notify the enterprise Bean instances of the instance's life cycle events.

Method Summary
`void` | `ejbRemove()` A container invokes this method before it ends the life of the message-driven object.
`void` | `setMessageDrivenContext(MessageDrivenContext ctx)` Set the associated message-driven context.

Method Detail

### setMessageDrivenContext

    public void setMessageDrivenContext(MessageDrivenContext ctx)
                                 throws EJBException

  Set the associated message-driven context. The container calls this method after the instance creation.

  The enterprise Bean instance should store the reference to the context object in an instance variable.

  This method is called with no transaction context.

  Parameters:
    `ctx` - A MessageDrivenContext interface for the instance.
  Throws:
    `EJBException` - Thrown by the method to indicate a failure caused by a system-level error.

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  A container invokes this method before it ends the life of the message-driven object. This happens when a container decides to terminate the message-driven object.

  This method is called with no transaction context.

  Throws:
    `EJBException` - Thrown by the method to indicate a failure caused by a system-level error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.